<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="namespace">
    <name>Syndication::RDF</name>
    <filename>namespaceSyndication_1_1RDF.html</filename>
    <class kind="class">Syndication::RDF::ContentVocab</class>
    <class kind="class">Syndication::RDF::Document</class>
    <class kind="class">Syndication::RDF::DublinCore</class>
    <class kind="class">Syndication::RDF::DublinCoreVocab</class>
    <class kind="class">Syndication::RDF::Image</class>
    <class kind="class">Syndication::RDF::Item</class>
    <class kind="class">Syndication::RDF::Literal</class>
    <class kind="class">Syndication::RDF::Model</class>
    <class kind="class">Syndication::RDF::ModelMaker</class>
    <class kind="class">Syndication::RDF::Node</class>
    <class kind="class">Syndication::RDF::NodeVisitor</class>
    <class kind="class">Syndication::RDF::Parser</class>
    <class kind="class">Syndication::RDF::Property</class>
    <class kind="class">Syndication::RDF::RDFVocab</class>
    <class kind="class">Syndication::RDF::Resource</class>
    <class kind="class">Syndication::RDF::ResourceWrapper</class>
    <class kind="class">Syndication::RDF::RSS09Vocab</class>
    <class kind="class">Syndication::RDF::RSSVocab</class>
    <class kind="class">Syndication::RDF::Sequence</class>
    <class kind="class">Syndication::RDF::Statement</class>
    <class kind="class">Syndication::RDF::SyndicationInfo</class>
    <class kind="class">Syndication::RDF::SyndicationVocab</class>
    <class kind="class">Syndication::RDF::TextInput</class>
    <member kind="typedef">
      <type>boost::shared_ptr&lt; Property &gt;</type>
      <name>PropertyPtr</name>
      <anchorfile>namespaceSyndication_1_1RDF.html</anchorfile>
      <anchor>4f8587b36206096af3256fbe4f8afdd5</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::shared_ptr&lt; Resource &gt;</type>
      <name>ResourcePtr</name>
      <anchorfile>namespaceSyndication_1_1RDF.html</anchorfile>
      <anchor>e8880e1c96718ee30b514c02a83b15f4</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::shared_ptr&lt; Statement &gt;</type>
      <name>StatementPtr</name>
      <anchorfile>namespaceSyndication_1_1RDF.html</anchorfile>
      <anchor>93fb24353e9bc37c1c41ce1981250b1e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::RDF::ContentVocab</name>
    <filename>classSyndication_1_1RDF_1_1ContentVocab.html</filename>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>encoded</name>
      <anchorfile>classSyndication_1_1RDF_1_1ContentVocab.html</anchorfile>
      <anchor>20e56e2b0f1137693c96a5c5b2c90aa3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>namespaceURI</name>
      <anchorfile>classSyndication_1_1RDF_1_1ContentVocab.html</anchorfile>
      <anchor>8cf0f6d75bc7e290d5c7e1c00d0c97db</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ContentVocab</name>
      <anchorfile>classSyndication_1_1RDF_1_1ContentVocab.html</anchorfile>
      <anchor>ddf00ea153e6a3b6d3c79f95806dcf1f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ContentVocab *</type>
      <name>self</name>
      <anchorfile>classSyndication_1_1RDF_1_1ContentVocab.html</anchorfile>
      <anchor>48816f8edaccff7ffef4fa70f0109767</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::RDF::Document</name>
    <filename>classSyndication_1_1RDF_1_1Document.html</filename>
    <base>Syndication::RDF::ResourceWrapper</base>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>accept</name>
      <anchorfile>classSyndication_1_1RDF_1_1Document.html</anchorfile>
      <anchor>cd3c5880f92755eb6684cea6a053972d</anchor>
      <arglist>(DocumentVisitor *visitor)</arglist>
    </member>
    <member kind="function">
      <type>DublinCore</type>
      <name>dc</name>
      <anchorfile>classSyndication_1_1RDF_1_1Document.html</anchorfile>
      <anchor>2397fd00d5e35543167d49828ad20bd6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual PRIVATE QString</type>
      <name>debugInfo</name>
      <anchorfile>classSyndication_1_1RDF_1_1Document.html</anchorfile>
      <anchor>c8099e0b0f8fbbee35e8e7c06e28fd1d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>description</name>
      <anchorfile>classSyndication_1_1RDF_1_1Document.html</anchorfile>
      <anchor>756c3b24323e917072e7875ea494a780</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Document</name>
      <anchorfile>classSyndication_1_1RDF_1_1Document.html</anchorfile>
      <anchor>600e995df2a6869a484272f7a27cc2f3</anchor>
      <arglist>(const Document &amp;other)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Document</name>
      <anchorfile>classSyndication_1_1RDF_1_1Document.html</anchorfile>
      <anchor>cd051bed94a85ea28ec17da57a12bf8e</anchor>
      <arglist>(ResourcePtr resource)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Document</name>
      <anchorfile>classSyndication_1_1RDF_1_1Document.html</anchorfile>
      <anchor>00e73b481793a3828eb0a98cd8db6bb4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Image</type>
      <name>image</name>
      <anchorfile>classSyndication_1_1RDF_1_1Document.html</anchorfile>
      <anchor>2bef05eb25f1259f4696658d52eef868</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classSyndication_1_1RDF_1_1Document.html</anchorfile>
      <anchor>3770ab1e9add8b8454ec407d7689d106</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Item &gt;</type>
      <name>items</name>
      <anchorfile>classSyndication_1_1RDF_1_1Document.html</anchorfile>
      <anchor>c5163eca673cae61b28a56267a5596a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>link</name>
      <anchorfile>classSyndication_1_1RDF_1_1Document.html</anchorfile>
      <anchor>2005716aa26958e0cd6a0e3dbcc15154</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Document &amp;</type>
      <name>operator=</name>
      <anchorfile>classSyndication_1_1RDF_1_1Document.html</anchorfile>
      <anchor>b5143bcd95b93bd3c57dbb2f4e90094e</anchor>
      <arglist>(const Document &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classSyndication_1_1RDF_1_1Document.html</anchorfile>
      <anchor>4d8f1365b17d51d6ff0460a28149e70e</anchor>
      <arglist>(const Document &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>SyndicationInfo</type>
      <name>syn</name>
      <anchorfile>classSyndication_1_1RDF_1_1Document.html</anchorfile>
      <anchor>4e7e326eeef8e6091df2a699575be505</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TextInput</type>
      <name>textInput</name>
      <anchorfile>classSyndication_1_1RDF_1_1Document.html</anchorfile>
      <anchor>fac2a2e9453011066ebba685055f25eb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>title</name>
      <anchorfile>classSyndication_1_1RDF_1_1Document.html</anchorfile>
      <anchor>5916a71caecb61a1e8b7e7bb77717fb1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Document</name>
      <anchorfile>classSyndication_1_1RDF_1_1Document.html</anchorfile>
      <anchor>d67c60ace4a8f54a57eeedfba06716e3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::RDF::DublinCore</name>
    <filename>classSyndication_1_1RDF_1_1DublinCore.html</filename>
    <base>Syndication::RDF::ResourceWrapper</base>
    <member kind="function">
      <type>QString</type>
      <name>contributor</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCore.html</anchorfile>
      <anchor>eb0690034a5a91841a3b28a502f77383</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>contributors</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCore.html</anchorfile>
      <anchor>12da15348ac1395baf7308ae3f2e3747</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>coverage</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCore.html</anchorfile>
      <anchor>2fdfc31d50603a33c08ae001e57c542e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>creator</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCore.html</anchorfile>
      <anchor>c3151f15dd616dae289680453c9405ec</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>creators</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCore.html</anchorfile>
      <anchor>4cc7b41faf34fa36481cad4ebfb964c4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>time_t</type>
      <name>date</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCore.html</anchorfile>
      <anchor>c90e1af5a761d54392f9fe03da746086</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>debugInfo</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCore.html</anchorfile>
      <anchor>e8331237353172f05de95f2aeb36ba0d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>description</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCore.html</anchorfile>
      <anchor>d14c8a04bdf3e338e67198c8acc10dcb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DublinCore</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCore.html</anchorfile>
      <anchor>fc6d5a7b00274832d6ba48fea1f0b32a</anchor>
      <arglist>(ResourcePtr resource)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>format</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCore.html</anchorfile>
      <anchor>8ca1666b217b37ec1194456325c68efb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>identifier</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCore.html</anchorfile>
      <anchor>5da85d52b0b4abf2b1dd0566241ded7d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>language</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCore.html</anchorfile>
      <anchor>c978fd3eaa06b34f8d95a4c5b71109b0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>publisher</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCore.html</anchorfile>
      <anchor>a1b58d6603cd4ee3b52b4c1c220cc042</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>relation</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCore.html</anchorfile>
      <anchor>e746957871b675eb83ef89d405924d5c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>rights</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCore.html</anchorfile>
      <anchor>d5c3502ab1abf729cbde528e7a70c704</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>source</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCore.html</anchorfile>
      <anchor>5a31ee143e35ecc36e6714364f0dcfef</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>subject</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCore.html</anchorfile>
      <anchor>dbc4799f8eb4bde52949f79d5c25276d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>subjects</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCore.html</anchorfile>
      <anchor>1ab127c97f80ed739c2ad918cdedcec5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>title</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCore.html</anchorfile>
      <anchor>da18524027ea4021f88afff1748e613e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>type</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCore.html</anchorfile>
      <anchor>67e1f6c39385a8b2a0d95ceb13deb76d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DublinCore</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCore.html</anchorfile>
      <anchor>e785fac34cc55204d37962c41b755baa</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::RDF::DublinCoreVocab</name>
    <filename>classSyndication_1_1RDF_1_1DublinCoreVocab.html</filename>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>contributor</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCoreVocab.html</anchorfile>
      <anchor>761c2a4dce98a11bb8c2bdf1f6fc6359</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>coverage</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCoreVocab.html</anchorfile>
      <anchor>e22088c363855378ef9846b2110c4878</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>creator</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCoreVocab.html</anchorfile>
      <anchor>ac4a672d444f4c262cfe4749246e5cb5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>date</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCoreVocab.html</anchorfile>
      <anchor>9f6a7a03c86f78f1be366b3191e8b9d4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>description</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCoreVocab.html</anchorfile>
      <anchor>84a8675d2190693db32414c1c9934737</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>format</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCoreVocab.html</anchorfile>
      <anchor>0aa04e13a10f5cb1fab5c901714d9718</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>identifier</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCoreVocab.html</anchorfile>
      <anchor>d4831e4f6f9154c7075f074fbb91b699</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>language</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCoreVocab.html</anchorfile>
      <anchor>ef3f0bcd646ab73eee4ec9833719c940</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>namespaceURI</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCoreVocab.html</anchorfile>
      <anchor>21a1c0edeb957aa76815482c571dd36d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>publisher</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCoreVocab.html</anchorfile>
      <anchor>580df6466f135331d554639f37060dee</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>relation</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCoreVocab.html</anchorfile>
      <anchor>2b46649075bfc218c1a8d24f0908f8eb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>rights</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCoreVocab.html</anchorfile>
      <anchor>1e9f500378054b4093335314474138df</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>source</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCoreVocab.html</anchorfile>
      <anchor>1f7e91ba5424ebb2b5a0ed1c7786f2e2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>subject</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCoreVocab.html</anchorfile>
      <anchor>d665dba7c3d82e8e966b05af74876a7d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>title</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCoreVocab.html</anchorfile>
      <anchor>e3060f60a7f5d1ff091e1a87c5ca3cb4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>type</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCoreVocab.html</anchorfile>
      <anchor>18a28795b326717c0ca86f1749fd0c9b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~DublinCoreVocab</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCoreVocab.html</anchorfile>
      <anchor>88e0d78efdab004b26049b6f2afc39e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static DublinCoreVocab *</type>
      <name>self</name>
      <anchorfile>classSyndication_1_1RDF_1_1DublinCoreVocab.html</anchorfile>
      <anchor>3526f1faa626e87ceb9593c66e0844d6</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::RDF::Image</name>
    <filename>classSyndication_1_1RDF_1_1Image.html</filename>
    <base>Syndication::RDF::ResourceWrapper</base>
    <member kind="function">
      <type>QString</type>
      <name>debugInfo</name>
      <anchorfile>classSyndication_1_1RDF_1_1Image.html</anchorfile>
      <anchor>0861be94cb9500017e35fb5eb409ef10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Image</name>
      <anchorfile>classSyndication_1_1RDF_1_1Image.html</anchorfile>
      <anchor>1b2371312208a3568ac7fec0382fa552</anchor>
      <arglist>(ResourcePtr resource)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Image</name>
      <anchorfile>classSyndication_1_1RDF_1_1Image.html</anchorfile>
      <anchor>4fa0482ca5052a678d05909b42ae6818</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>link</name>
      <anchorfile>classSyndication_1_1RDF_1_1Image.html</anchorfile>
      <anchor>51572c1fa2568be327d1ecf05f88b725</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>title</name>
      <anchorfile>classSyndication_1_1RDF_1_1Image.html</anchorfile>
      <anchor>9e4d378e4a229115cc8d2bfe56940890</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>url</name>
      <anchorfile>classSyndication_1_1RDF_1_1Image.html</anchorfile>
      <anchor>8cdef4d04bdbf728052f87b0dc1b04ec</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Image</name>
      <anchorfile>classSyndication_1_1RDF_1_1Image.html</anchorfile>
      <anchor>f00a7876c68716f6581e6e12d90d61ab</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::RDF::Item</name>
    <filename>classSyndication_1_1RDF_1_1Item.html</filename>
    <base>Syndication::RDF::ResourceWrapper</base>
    <member kind="function">
      <type>bool</type>
      <name>accept</name>
      <anchorfile>classSyndication_1_1RDF_1_1Item.html</anchorfile>
      <anchor>cdccae498cd00fe67878e37c6b40590a</anchor>
      <arglist>(SpecificItemVisitor *visitor)</arglist>
    </member>
    <member kind="function">
      <type>DublinCore</type>
      <name>dc</name>
      <anchorfile>classSyndication_1_1RDF_1_1Item.html</anchorfile>
      <anchor>03a7af7da43f8608b4cd8711ec772d70</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>debugInfo</name>
      <anchorfile>classSyndication_1_1RDF_1_1Item.html</anchorfile>
      <anchor>7bbd8d7ca30738010ba3fe249a9453a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>description</name>
      <anchorfile>classSyndication_1_1RDF_1_1Item.html</anchorfile>
      <anchor>a7a8e1dab90f92af1b10723a6c1c5aac</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>encodedContent</name>
      <anchorfile>classSyndication_1_1RDF_1_1Item.html</anchorfile>
      <anchor>fd3e6461ad29562c343dc7cc40e58375</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Item</name>
      <anchorfile>classSyndication_1_1RDF_1_1Item.html</anchorfile>
      <anchor>d2c07c11bb6eee1de8bcf9c7777d1a9e</anchor>
      <arglist>(const Item &amp;other)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Item</name>
      <anchorfile>classSyndication_1_1RDF_1_1Item.html</anchorfile>
      <anchor>25555c36f150e918a03482f0eed6b953</anchor>
      <arglist>(ResourcePtr resource, DocumentPtr doc=DocumentPtr())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Item</name>
      <anchorfile>classSyndication_1_1RDF_1_1Item.html</anchorfile>
      <anchor>a3fefa29feff725a7b821f8462faee76</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>link</name>
      <anchorfile>classSyndication_1_1RDF_1_1Item.html</anchorfile>
      <anchor>008b75fb18789702fbc49b91e1e2f9f9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Item &amp;</type>
      <name>operator=</name>
      <anchorfile>classSyndication_1_1RDF_1_1Item.html</anchorfile>
      <anchor>637ecbb60414209628ea1899483c1a78</anchor>
      <arglist>(const Item &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classSyndication_1_1RDF_1_1Item.html</anchorfile>
      <anchor>52647de06352b8093484af9fcbbe8512</anchor>
      <arglist>(const Item &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>title</name>
      <anchorfile>classSyndication_1_1RDF_1_1Item.html</anchorfile>
      <anchor>61e81e19fcfe37542cca3f8d881a564f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Item</name>
      <anchorfile>classSyndication_1_1RDF_1_1Item.html</anchorfile>
      <anchor>d9fa86f73fefac4e0cedd6caaceb275a</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::RDF::Literal</name>
    <filename>classSyndication_1_1RDF_1_1Literal.html</filename>
    <base>Syndication::RDF::Node</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>accept</name>
      <anchorfile>classSyndication_1_1RDF_1_1Literal.html</anchorfile>
      <anchor>4ff5bb4d95c92e17ad8d207568510c80</anchor>
      <arglist>(NodeVisitor *visitor, NodePtr ptr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Literal *</type>
      <name>clone</name>
      <anchorfile>classSyndication_1_1RDF_1_1Literal.html</anchorfile>
      <anchor>8d51bc472000eb9fa457162b20eac260</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual unsigned int</type>
      <name>id</name>
      <anchorfile>classSyndication_1_1RDF_1_1Literal.html</anchorfile>
      <anchor>20da46ca7a425ae0eb655f9631c66c84</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isAnon</name>
      <anchorfile>classSyndication_1_1RDF_1_1Literal.html</anchorfile>
      <anchor>90fc9b5a1f5f6e2d42a97277a567f85a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isLiteral</name>
      <anchorfile>classSyndication_1_1RDF_1_1Literal.html</anchorfile>
      <anchor>dc37433257a5dec259735c7586691d4d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isNull</name>
      <anchorfile>classSyndication_1_1RDF_1_1Literal.html</anchorfile>
      <anchor>5845866787e8e5c0bb0636dee6a7562d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isProperty</name>
      <anchorfile>classSyndication_1_1RDF_1_1Literal.html</anchorfile>
      <anchor>4901e8c3c8de0abe3f4f673c47d9dceb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isResource</name>
      <anchorfile>classSyndication_1_1RDF_1_1Literal.html</anchorfile>
      <anchor>4ee46baec3468b9353748474da42084f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isSequence</name>
      <anchorfile>classSyndication_1_1RDF_1_1Literal.html</anchorfile>
      <anchor>6b420e2311caf4f5d69718e5fe97c295</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Literal</name>
      <anchorfile>classSyndication_1_1RDF_1_1Literal.html</anchorfile>
      <anchor>284795643f76c3b777a5f6c8b32295e2</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Literal</name>
      <anchorfile>classSyndication_1_1RDF_1_1Literal.html</anchorfile>
      <anchor>b1b34cb2567e1647903ba98e6468bb3e</anchor>
      <arglist>(const Literal &amp;other)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Literal</name>
      <anchorfile>classSyndication_1_1RDF_1_1Literal.html</anchorfile>
      <anchor>11f5a94f17f1ddef317567f3e97a2014</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>operator QString</name>
      <anchorfile>classSyndication_1_1RDF_1_1Literal.html</anchorfile>
      <anchor>1e255d6ae07785a95c635c10281fc6e5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Literal &amp;</type>
      <name>operator=</name>
      <anchorfile>classSyndication_1_1RDF_1_1Literal.html</anchorfile>
      <anchor>284bfb5c48921cdd32fc2a56cf6486c7</anchor>
      <arglist>(const Literal &amp;other)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>operator==</name>
      <anchorfile>classSyndication_1_1RDF_1_1Literal.html</anchorfile>
      <anchor>ff962e008e20bf30391b5261daea6918</anchor>
      <arglist>(const Node &amp;other) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setId</name>
      <anchorfile>classSyndication_1_1RDF_1_1Literal.html</anchorfile>
      <anchor>2d6bb65f7c1bc6358517369f40e268b2</anchor>
      <arglist>(unsigned int id)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setModel</name>
      <anchorfile>classSyndication_1_1RDF_1_1Literal.html</anchorfile>
      <anchor>0ba4330ad07067964da949c1cdf8f7b1</anchor>
      <arglist>(const Model &amp;model)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>text</name>
      <anchorfile>classSyndication_1_1RDF_1_1Literal.html</anchorfile>
      <anchor>2a9def1923bd8fcb3e641e90e68e94a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Literal</name>
      <anchorfile>classSyndication_1_1RDF_1_1Literal.html</anchorfile>
      <anchor>95879660504650e6f8b9ca4541749f7b</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::RDF::Model</name>
    <filename>classSyndication_1_1RDF_1_1Model.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual StatementPtr</type>
      <name>addStatement</name>
      <anchorfile>classSyndication_1_1RDF_1_1Model.html</anchorfile>
      <anchor>1625dfef39cf4b869f2a6ed4c6d2e91e</anchor>
      <arglist>(ResourcePtr subject, PropertyPtr predicate, NodePtr object)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual LiteralPtr</type>
      <name>createLiteral</name>
      <anchorfile>classSyndication_1_1RDF_1_1Model.html</anchorfile>
      <anchor>f0a0d2daa3fee893e8779b404f40cd65</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual PropertyPtr</type>
      <name>createProperty</name>
      <anchorfile>classSyndication_1_1RDF_1_1Model.html</anchorfile>
      <anchor>aa57c4de22a7269df4e25d47a73d3cf7</anchor>
      <arglist>(const QString &amp;uri)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ResourcePtr</type>
      <name>createResource</name>
      <anchorfile>classSyndication_1_1RDF_1_1Model.html</anchorfile>
      <anchor>23e620a5547f7f3550f8194c9c6d4a39</anchor>
      <arglist>(const QString &amp;uri=QString())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SequencePtr</type>
      <name>createSequence</name>
      <anchorfile>classSyndication_1_1RDF_1_1Model.html</anchorfile>
      <anchor>6d60defd9fd78c8271f7fe24c59d4819</anchor>
      <arglist>(const QString &amp;uri=QString())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>debugInfo</name>
      <anchorfile>classSyndication_1_1RDF_1_1Model.html</anchorfile>
      <anchor>0ee38939351166cbb46b7eae72569339</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchorfile>classSyndication_1_1RDF_1_1Model.html</anchorfile>
      <anchor>b272afa7ae1c82897b30604e70d7e03d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual LiteralPtr</type>
      <name>literalByID</name>
      <anchorfile>classSyndication_1_1RDF_1_1Model.html</anchorfile>
      <anchor>8135c92a17206b00fbf2fadec61d1aa9</anchor>
      <arglist>(uint id) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Model</name>
      <anchorfile>classSyndication_1_1RDF_1_1Model.html</anchorfile>
      <anchor>5f2720eaa45e1cf6599d51bb956b4ed1</anchor>
      <arglist>(const Model &amp;other)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Model</name>
      <anchorfile>classSyndication_1_1RDF_1_1Model.html</anchorfile>
      <anchor>87b2b573873ff6d925668306305a30d9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual NodePtr</type>
      <name>nodeByID</name>
      <anchorfile>classSyndication_1_1RDF_1_1Model.html</anchorfile>
      <anchor>de30c7d350c707a13bc914ca411c3d5e</anchor>
      <arglist>(uint id) const </arglist>
    </member>
    <member kind="function">
      <type>Model &amp;</type>
      <name>operator=</name>
      <anchorfile>classSyndication_1_1RDF_1_1Model.html</anchorfile>
      <anchor>d906dedb3b17fa501544c39fa0395e38</anchor>
      <arglist>(const Model &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classSyndication_1_1RDF_1_1Model.html</anchorfile>
      <anchor>e89c1123159aa2afacf7be24f03550ad</anchor>
      <arglist>(const Model &amp;other) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual PropertyPtr</type>
      <name>propertyByID</name>
      <anchorfile>classSyndication_1_1RDF_1_1Model.html</anchorfile>
      <anchor>6a0966bf9ee6060c016d8f20829418de</anchor>
      <arglist>(uint id) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>removeStatement</name>
      <anchorfile>classSyndication_1_1RDF_1_1Model.html</anchorfile>
      <anchor>3b2b61732170a521373b3bfc93ad1930</anchor>
      <arglist>(StatementPtr statement)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>removeStatement</name>
      <anchorfile>classSyndication_1_1RDF_1_1Model.html</anchorfile>
      <anchor>201a9efc9d01c4bbc6f77a474a82a103</anchor>
      <arglist>(ResourcePtr subject, PropertyPtr predicate, NodePtr object)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ResourcePtr</type>
      <name>resourceByID</name>
      <anchorfile>classSyndication_1_1RDF_1_1Model.html</anchorfile>
      <anchor>7346a72453afe9185af1c6d2ee1bba50</anchor>
      <arglist>(uint id) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QList&lt; ResourcePtr &gt;</type>
      <name>resourcesWithType</name>
      <anchorfile>classSyndication_1_1RDF_1_1Model.html</anchorfile>
      <anchor>62a3f4049ba3dd61264da494542c218a</anchor>
      <arglist>(ResourcePtr type) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QList&lt; StatementPtr &gt;</type>
      <name>statements</name>
      <anchorfile>classSyndication_1_1RDF_1_1Model.html</anchorfile>
      <anchor>a4317aa9b3a467720c43eab0f2a54d94</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Model</name>
      <anchorfile>classSyndication_1_1RDF_1_1Model.html</anchorfile>
      <anchor>c7042ba56c5b01c2a8747aeb179c1e28</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::RDF::ModelMaker</name>
    <filename>classSyndication_1_1RDF_1_1ModelMaker.html</filename>
    <member kind="function">
      <type>Model</type>
      <name>createFromXML</name>
      <anchorfile>classSyndication_1_1RDF_1_1ModelMaker.html</anchorfile>
      <anchor>d3ee54a353da81fcd1b6ad1b88b30496</anchor>
      <arglist>(const QDomDocument &amp;doc)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::RDF::Node</name>
    <filename>classSyndication_1_1RDF_1_1Node.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>accept</name>
      <anchorfile>classSyndication_1_1RDF_1_1Node.html</anchorfile>
      <anchor>7d55de66fd150054a4b075618f677f63</anchor>
      <arglist>(NodeVisitor *visitor, NodePtr ptr)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Node *</type>
      <name>clone</name>
      <anchorfile>classSyndication_1_1RDF_1_1Node.html</anchorfile>
      <anchor>06131aab6a8c5ce9d518c40c427dbf7c</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>id</name>
      <anchorfile>classSyndication_1_1RDF_1_1Node.html</anchorfile>
      <anchor>f298bf47cb7e40d67f60963454ad09c6</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isAnon</name>
      <anchorfile>classSyndication_1_1RDF_1_1Node.html</anchorfile>
      <anchor>d2b17fff23ebc6ac30e66d3b14fa852b</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isLiteral</name>
      <anchorfile>classSyndication_1_1RDF_1_1Node.html</anchorfile>
      <anchor>6089554641c3c91224bf60f8f5f484f9</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isNull</name>
      <anchorfile>classSyndication_1_1RDF_1_1Node.html</anchorfile>
      <anchor>4149b3a402639b06ea10155258f68e9b</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isProperty</name>
      <anchorfile>classSyndication_1_1RDF_1_1Node.html</anchorfile>
      <anchor>8e5a69f9e067faa99d669fdea1599141</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isResource</name>
      <anchorfile>classSyndication_1_1RDF_1_1Node.html</anchorfile>
      <anchor>2bcd15a8290b1c00cbaa4dea935e6038</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isSequence</name>
      <anchorfile>classSyndication_1_1RDF_1_1Node.html</anchorfile>
      <anchor>31e49b54222ebe090e325e1ebabf16d9</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>operator==</name>
      <anchorfile>classSyndication_1_1RDF_1_1Node.html</anchorfile>
      <anchor>17b55baf03a9602028bb45dedfd93c73</anchor>
      <arglist>(const Node &amp;other) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setId</name>
      <anchorfile>classSyndication_1_1RDF_1_1Node.html</anchorfile>
      <anchor>ed2ab13ca88e2881d16d77833318e906</anchor>
      <arglist>(unsigned int id)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setModel</name>
      <anchorfile>classSyndication_1_1RDF_1_1Node.html</anchorfile>
      <anchor>a398ee8d1512a19115c951b285edab32</anchor>
      <arglist>(const Model &amp;model)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>text</name>
      <anchorfile>classSyndication_1_1RDF_1_1Node.html</anchorfile>
      <anchor>5ed69f187977303dacd6fa00eea4d242</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Node</name>
      <anchorfile>classSyndication_1_1RDF_1_1Node.html</anchorfile>
      <anchor>798bd1e48f3a498c592bcd32ae543057</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>static unsigned int</type>
      <name>idCounter</name>
      <anchorfile>classSyndication_1_1RDF_1_1Node.html</anchorfile>
      <anchor>c845c4abe55ec0c671a885ac94cdffbd</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::RDF::NodeVisitor</name>
    <filename>classSyndication_1_1RDF_1_1NodeVisitor.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>visit</name>
      <anchorfile>classSyndication_1_1RDF_1_1NodeVisitor.html</anchorfile>
      <anchor>8cef8a7a818965eacb7213f2d2765751</anchor>
      <arglist>(NodePtr node)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visitLiteral</name>
      <anchorfile>classSyndication_1_1RDF_1_1NodeVisitor.html</anchorfile>
      <anchor>7933e54b85c8bcfbf6c8e6d37b7de604</anchor>
      <arglist>(LiteralPtr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visitNode</name>
      <anchorfile>classSyndication_1_1RDF_1_1NodeVisitor.html</anchorfile>
      <anchor>6f08feec6dc9d8a455a998e47104f55e</anchor>
      <arglist>(NodePtr node)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visitProperty</name>
      <anchorfile>classSyndication_1_1RDF_1_1NodeVisitor.html</anchorfile>
      <anchor>2aa43d5cb770a78c2f5e0c39808e23c1</anchor>
      <arglist>(PropertyPtr property)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visitResource</name>
      <anchorfile>classSyndication_1_1RDF_1_1NodeVisitor.html</anchorfile>
      <anchor>a2b37170e16b624824af83c05e1421b9</anchor>
      <arglist>(ResourcePtr resource)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visitSequence</name>
      <anchorfile>classSyndication_1_1RDF_1_1NodeVisitor.html</anchorfile>
      <anchor>348be20c27894aff5df8bdb50611ea1e</anchor>
      <arglist>(SequencePtr seq)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~NodeVisitor</name>
      <anchorfile>classSyndication_1_1RDF_1_1NodeVisitor.html</anchorfile>
      <anchor>c9a77f257afa97d9b38d3381f46f7a3c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::RDF::Parser</name>
    <filename>classSyndication_1_1RDF_1_1Parser.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>accept</name>
      <anchorfile>classSyndication_1_1RDF_1_1Parser.html</anchorfile>
      <anchor>717725ed35c44ce2b3249ad812391a51</anchor>
      <arglist>(const DocumentSource &amp;source) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>format</name>
      <anchorfile>classSyndication_1_1RDF_1_1Parser.html</anchorfile>
      <anchor>ccd67e974708670c237efe2ad112d92e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SpecificDocumentPtr</type>
      <name>parse</name>
      <anchorfile>classSyndication_1_1RDF_1_1Parser.html</anchorfile>
      <anchor>8d0bbfe538c6c91cbad19e83a1261d0e</anchor>
      <arglist>(const DocumentSource &amp;source) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Parser</name>
      <anchorfile>classSyndication_1_1RDF_1_1Parser.html</anchorfile>
      <anchor>8cf641d8986ffd56d87b302aad15c6e8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Parser</name>
      <anchorfile>classSyndication_1_1RDF_1_1Parser.html</anchorfile>
      <anchor>ac6945b378f1b72b68f099b348c592c0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::RDF::Property</name>
    <filename>classSyndication_1_1RDF_1_1Property.html</filename>
    <base>Syndication::RDF::Resource</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>accept</name>
      <anchorfile>classSyndication_1_1RDF_1_1Property.html</anchorfile>
      <anchor>dbee520a1f9ce2415ae65eea71d54f9e</anchor>
      <arglist>(NodeVisitor *visitor, NodePtr ptr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Property *</type>
      <name>clone</name>
      <anchorfile>classSyndication_1_1RDF_1_1Property.html</anchorfile>
      <anchor>665a1a4fd94110cc206f438084b4b069</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isProperty</name>
      <anchorfile>classSyndication_1_1RDF_1_1Property.html</anchorfile>
      <anchor>a97d76d1f78157368013a9f9b65b14d5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Property</name>
      <anchorfile>classSyndication_1_1RDF_1_1Property.html</anchorfile>
      <anchor>b673228918ecbe486bf534f90037555c</anchor>
      <arglist>(const QString &amp;uri)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Property</name>
      <anchorfile>classSyndication_1_1RDF_1_1Property.html</anchorfile>
      <anchor>27486c33b1bf4173d88323555a80ac5b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Property</name>
      <anchorfile>classSyndication_1_1RDF_1_1Property.html</anchorfile>
      <anchor>e1df173c3f45708034af99727f8fb97f</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::RDF::RDFVocab</name>
    <filename>classSyndication_1_1RDF_1_1RDFVocab.html</filename>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>li</name>
      <anchorfile>classSyndication_1_1RDF_1_1RDFVocab.html</anchorfile>
      <anchor>1264514d8bf7120598e4f08b3981e436</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>namespaceURI</name>
      <anchorfile>classSyndication_1_1RDF_1_1RDFVocab.html</anchorfile>
      <anchor>c1bf2b072bc7a91bafa227dec5b5f4ce</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ResourcePtr</type>
      <name>seq</name>
      <anchorfile>classSyndication_1_1RDF_1_1RDFVocab.html</anchorfile>
      <anchor>d5ef51b072568a3840fd77045ba15e86</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>type</name>
      <anchorfile>classSyndication_1_1RDF_1_1RDFVocab.html</anchorfile>
      <anchor>762ce8163b0c926cf84acfc9c60ab467</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~RDFVocab</name>
      <anchorfile>classSyndication_1_1RDF_1_1RDFVocab.html</anchorfile>
      <anchor>889d1bb155cbd3822963eb7ee8b5e445</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static RDFVocab *</type>
      <name>self</name>
      <anchorfile>classSyndication_1_1RDF_1_1RDFVocab.html</anchorfile>
      <anchor>b8003dfcc0e3e6e13ed08dd7c93d67b8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::RDF::Resource</name>
    <filename>classSyndication_1_1RDF_1_1Resource.html</filename>
    <base>Syndication::RDF::Node</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>accept</name>
      <anchorfile>classSyndication_1_1RDF_1_1Resource.html</anchorfile>
      <anchor>5a945ccb1c52dccd6240b9b4065b5d29</anchor>
      <arglist>(NodeVisitor *visitor, NodePtr ptr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Resource *</type>
      <name>clone</name>
      <anchorfile>classSyndication_1_1RDF_1_1Resource.html</anchorfile>
      <anchor>6e542fe1631b626a8bd26b9aee5f48c0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>hasProperty</name>
      <anchorfile>classSyndication_1_1RDF_1_1Resource.html</anchorfile>
      <anchor>4c095089b0e732ad8756059bda2658b8</anchor>
      <arglist>(PropertyPtr property) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual unsigned int</type>
      <name>id</name>
      <anchorfile>classSyndication_1_1RDF_1_1Resource.html</anchorfile>
      <anchor>43f5529a532f4fe63d01b16292c0d0de</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isAnon</name>
      <anchorfile>classSyndication_1_1RDF_1_1Resource.html</anchorfile>
      <anchor>eafe31577ffc27d4467dc6dd9ee2b1a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isLiteral</name>
      <anchorfile>classSyndication_1_1RDF_1_1Resource.html</anchorfile>
      <anchor>0d3c27383b01204c3f0720e4e811e513</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isNull</name>
      <anchorfile>classSyndication_1_1RDF_1_1Resource.html</anchorfile>
      <anchor>16cae0059719f94433b31155068331c3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isProperty</name>
      <anchorfile>classSyndication_1_1RDF_1_1Resource.html</anchorfile>
      <anchor>10e78766ca64e528794d69e52c1f88bd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isResource</name>
      <anchorfile>classSyndication_1_1RDF_1_1Resource.html</anchorfile>
      <anchor>aff0112766f3e4162ed1024f74d60a2f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isSequence</name>
      <anchorfile>classSyndication_1_1RDF_1_1Resource.html</anchorfile>
      <anchor>623e622f9b652e8a4a0b0cf4d435f258</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Model</type>
      <name>model</name>
      <anchorfile>classSyndication_1_1RDF_1_1Resource.html</anchorfile>
      <anchor>9c5e5be2d906f3ac65cfded7da078ea3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Resource &amp;</type>
      <name>operator=</name>
      <anchorfile>classSyndication_1_1RDF_1_1Resource.html</anchorfile>
      <anchor>a79d8babf227f69e6aacfe4d40e12f86</anchor>
      <arglist>(const Resource &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classSyndication_1_1RDF_1_1Resource.html</anchorfile>
      <anchor>cf0cc2c17d95208ad734be4e46f4662e</anchor>
      <arglist>(const Node &amp;other) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QList&lt; StatementPtr &gt;</type>
      <name>properties</name>
      <anchorfile>classSyndication_1_1RDF_1_1Resource.html</anchorfile>
      <anchor>562eb8d034e59af50a46d0137601797e</anchor>
      <arglist>(PropertyPtr property) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual StatementPtr</type>
      <name>property</name>
      <anchorfile>classSyndication_1_1RDF_1_1Resource.html</anchorfile>
      <anchor>05ebd15b82a41ab199f8cad520bbb6e5</anchor>
      <arglist>(PropertyPtr property) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Resource</name>
      <anchorfile>classSyndication_1_1RDF_1_1Resource.html</anchorfile>
      <anchor>44785104aafe71c2c9036b9ddc8d78ed</anchor>
      <arglist>(const QString &amp;uri)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Resource</name>
      <anchorfile>classSyndication_1_1RDF_1_1Resource.html</anchorfile>
      <anchor>03a01be616d79e862dfc774fe77dd33b</anchor>
      <arglist>(const Resource &amp;other)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Resource</name>
      <anchorfile>classSyndication_1_1RDF_1_1Resource.html</anchorfile>
      <anchor>e5aec5335eb681083d41516429a498ed</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setId</name>
      <anchorfile>classSyndication_1_1RDF_1_1Resource.html</anchorfile>
      <anchor>6ddd73b1afcddb842ad19adc8fa3f07d</anchor>
      <arglist>(unsigned int id)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setModel</name>
      <anchorfile>classSyndication_1_1RDF_1_1Resource.html</anchorfile>
      <anchor>84719ba9b7d71aab81f821cef3d57b05</anchor>
      <arglist>(const Model &amp;model)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>text</name>
      <anchorfile>classSyndication_1_1RDF_1_1Resource.html</anchorfile>
      <anchor>72e1dd7156987421b6ddbc2a6dbea462</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>uri</name>
      <anchorfile>classSyndication_1_1RDF_1_1Resource.html</anchorfile>
      <anchor>665e327dd5db8442c4901fbb311cfec6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Resource</name>
      <anchorfile>classSyndication_1_1RDF_1_1Resource.html</anchorfile>
      <anchor>27ea0bfceda714ff12302a17a0a69d3b</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::RDF::ResourceWrapper</name>
    <filename>classSyndication_1_1RDF_1_1ResourceWrapper.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classSyndication_1_1RDF_1_1ResourceWrapper.html</anchorfile>
      <anchor>6d377f1036261759361d3f9ea2cd3829</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ResourceWrapper &amp;</type>
      <name>operator=</name>
      <anchorfile>classSyndication_1_1RDF_1_1ResourceWrapper.html</anchorfile>
      <anchor>03730eb021b335f2176050653158bf8c</anchor>
      <arglist>(const ResourceWrapper &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classSyndication_1_1RDF_1_1ResourceWrapper.html</anchorfile>
      <anchor>c5c6235cb29daf03e822d6e9f374235f</anchor>
      <arglist>(const ResourceWrapper &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>ResourcePtr</type>
      <name>resource</name>
      <anchorfile>classSyndication_1_1RDF_1_1ResourceWrapper.html</anchorfile>
      <anchor>2f252be2e6b38c44eda23f727324f763</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ResourceWrapper</name>
      <anchorfile>classSyndication_1_1RDF_1_1ResourceWrapper.html</anchorfile>
      <anchor>9cc02b329d81089873954a51db599f34</anchor>
      <arglist>(ResourcePtr resource)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ResourceWrapper</name>
      <anchorfile>classSyndication_1_1RDF_1_1ResourceWrapper.html</anchorfile>
      <anchor>5e0582677fe743f35400e6662d12c6f0</anchor>
      <arglist>(const ResourceWrapper &amp;other)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ResourceWrapper</name>
      <anchorfile>classSyndication_1_1RDF_1_1ResourceWrapper.html</anchorfile>
      <anchor>118fd538cf0c4f0c10e0eb7a6c10ed64</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ResourceWrapper</name>
      <anchorfile>classSyndication_1_1RDF_1_1ResourceWrapper.html</anchorfile>
      <anchor>27caf9e27e00e7e2ef236a0dcf33fa87</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::RDF::RSS09Vocab</name>
    <filename>classSyndication_1_1RDF_1_1RSS09Vocab.html</filename>
    <member kind="function">
      <type>ResourcePtr</type>
      <name>channel</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSS09Vocab.html</anchorfile>
      <anchor>65855630dca7a62098a5b0a57d04947d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>classes</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSS09Vocab.html</anchorfile>
      <anchor>7421b043ba7e46ed0b25a05e3cedf04c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>description</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSS09Vocab.html</anchorfile>
      <anchor>ba2ce015084ffbe36fc4389937f9a3fe</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>image</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSS09Vocab.html</anchorfile>
      <anchor>4d4701bcb7b47386a02a8bf174790da9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ResourcePtr</type>
      <name>item</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSS09Vocab.html</anchorfile>
      <anchor>c38947d058a934714d146da04d24c0f4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>link</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSS09Vocab.html</anchorfile>
      <anchor>538cf6ee2a65d073174680d9dd31fb2a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>name</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSS09Vocab.html</anchorfile>
      <anchor>e2d0698e72fda313cfb71acbd219c4b4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>namespaceURI</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSS09Vocab.html</anchorfile>
      <anchor>ad70d1010b2039a721f8c6e11e3d8392</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>properties</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSS09Vocab.html</anchorfile>
      <anchor>5e1350bfdb37811dd2b64a5068df97ba</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>textinput</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSS09Vocab.html</anchorfile>
      <anchor>59d31e19450c84e9adc141bebd2b3987</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>title</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSS09Vocab.html</anchorfile>
      <anchor>d40b259d59ca41d2e474e2e79dbfb0af</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>url</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSS09Vocab.html</anchorfile>
      <anchor>f6224defe43774c9139ef5b6ff9088eb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~RSS09Vocab</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSS09Vocab.html</anchorfile>
      <anchor>9128c670d2819410fd0db3a170966a42</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static RSS09Vocab *</type>
      <name>self</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSS09Vocab.html</anchorfile>
      <anchor>cd20bb3a9ba38c10da14a37d009e1803</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::RDF::RSSVocab</name>
    <filename>classSyndication_1_1RDF_1_1RSSVocab.html</filename>
    <member kind="function">
      <type>ResourcePtr</type>
      <name>channel</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSSVocab.html</anchorfile>
      <anchor>e4a420b725e0db3b7ebec10fa79e00e9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>description</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSSVocab.html</anchorfile>
      <anchor>5e8df84afd7a7c8eaff6365550079714</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>image</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSSVocab.html</anchorfile>
      <anchor>475e3e4324cce5ebe4fbbe9517fd3653</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ResourcePtr</type>
      <name>item</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSSVocab.html</anchorfile>
      <anchor>45c89d1bbd988e4afe241d7be1c96f95</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>items</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSSVocab.html</anchorfile>
      <anchor>1d959caf52121b0b1ed814e3e0a95152</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>link</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSSVocab.html</anchorfile>
      <anchor>5af8bcdf1d7bfe9cf2dd709d8a2101a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>name</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSSVocab.html</anchorfile>
      <anchor>42f37854dc4e2a271cb1a2c79291bd7a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>namespaceURI</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSSVocab.html</anchorfile>
      <anchor>a0ed2bd13382ab8f64c87a71487d12a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>textinput</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSSVocab.html</anchorfile>
      <anchor>e3beb285fdad26eca4d4ae37b47a18fc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>title</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSSVocab.html</anchorfile>
      <anchor>a658d03acca54b1ccd9a6237fda6fc86</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>url</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSSVocab.html</anchorfile>
      <anchor>9f52d20219822185c33753fc22a14686</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~RSSVocab</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSSVocab.html</anchorfile>
      <anchor>9868211a8cc1bda172b18400be93d9d6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static RSSVocab *</type>
      <name>self</name>
      <anchorfile>classSyndication_1_1RDF_1_1RSSVocab.html</anchorfile>
      <anchor>8a56be2c309b86c72fcabebcb0771a5d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::RDF::Sequence</name>
    <filename>classSyndication_1_1RDF_1_1Sequence.html</filename>
    <base>Syndication::RDF::Resource</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>accept</name>
      <anchorfile>classSyndication_1_1RDF_1_1Sequence.html</anchorfile>
      <anchor>5c3b3b4c826c42e61057cb3090f6f7a3</anchor>
      <arglist>(NodeVisitor *visitor, NodePtr ptr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>append</name>
      <anchorfile>classSyndication_1_1RDF_1_1Sequence.html</anchorfile>
      <anchor>7174a6d10aecec23d24d9ea2fd44e0cc</anchor>
      <arglist>(NodePtr node)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Sequence *</type>
      <name>clone</name>
      <anchorfile>classSyndication_1_1RDF_1_1Sequence.html</anchorfile>
      <anchor>0c61b6acbfddecf749a4a17bff068791</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isSequence</name>
      <anchorfile>classSyndication_1_1RDF_1_1Sequence.html</anchorfile>
      <anchor>9950868055fbf74a006a77aba10d5859</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QList&lt; NodePtr &gt;</type>
      <name>items</name>
      <anchorfile>classSyndication_1_1RDF_1_1Sequence.html</anchorfile>
      <anchor>c78a042efe4b0e24afa86ddbb3c344f2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Sequence &amp;</type>
      <name>operator=</name>
      <anchorfile>classSyndication_1_1RDF_1_1Sequence.html</anchorfile>
      <anchor>b67ef4ecd1abeb75f826d7bfe7b012cf</anchor>
      <arglist>(const Sequence &amp;other)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Sequence</name>
      <anchorfile>classSyndication_1_1RDF_1_1Sequence.html</anchorfile>
      <anchor>433d37ef3b4b0177ab2311393514832f</anchor>
      <arglist>(const Sequence &amp;other)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Sequence</name>
      <anchorfile>classSyndication_1_1RDF_1_1Sequence.html</anchorfile>
      <anchor>8ef77c965c39d4f017c0bb8b6736b53e</anchor>
      <arglist>(const QString &amp;uri)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Sequence</name>
      <anchorfile>classSyndication_1_1RDF_1_1Sequence.html</anchorfile>
      <anchor>8d4dd0dcd60d02a091ca19e916a803a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Sequence</name>
      <anchorfile>classSyndication_1_1RDF_1_1Sequence.html</anchorfile>
      <anchor>8d4bec46992701c20ce95196da60896a</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::RDF::Statement</name>
    <filename>classSyndication_1_1RDF_1_1Statement.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual ResourcePtr</type>
      <name>asResource</name>
      <anchorfile>classSyndication_1_1RDF_1_1Statement.html</anchorfile>
      <anchor>7bf78582650f14c0e66438ee134a43ca</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>asString</name>
      <anchorfile>classSyndication_1_1RDF_1_1Statement.html</anchorfile>
      <anchor>5c3d907c0ac8b278fb88065b1e1e8d36</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isNull</name>
      <anchorfile>classSyndication_1_1RDF_1_1Statement.html</anchorfile>
      <anchor>6ff1e4445e46ddfabd5450e3f4d7ce9f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual NodePtr</type>
      <name>object</name>
      <anchorfile>classSyndication_1_1RDF_1_1Statement.html</anchorfile>
      <anchor>f289bf92b346bd2bffb1ce25c3e3b772</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Statement &amp;</type>
      <name>operator=</name>
      <anchorfile>classSyndication_1_1RDF_1_1Statement.html</anchorfile>
      <anchor>79c87ce5bf11011946565b94002f7d30</anchor>
      <arglist>(const Statement &amp;other)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>operator==</name>
      <anchorfile>classSyndication_1_1RDF_1_1Statement.html</anchorfile>
      <anchor>80e8313b82d7bf3e6164555e20a0d97a</anchor>
      <arglist>(const Statement &amp;other) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual PropertyPtr</type>
      <name>predicate</name>
      <anchorfile>classSyndication_1_1RDF_1_1Statement.html</anchorfile>
      <anchor>fe58d34c0f32fd36621d0e6ff6f0f50d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Statement</name>
      <anchorfile>classSyndication_1_1RDF_1_1Statement.html</anchorfile>
      <anchor>e0a5e03b3d1de45520422306a474349f</anchor>
      <arglist>(ResourcePtr subject, PropertyPtr predicate, NodePtr object)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Statement</name>
      <anchorfile>classSyndication_1_1RDF_1_1Statement.html</anchorfile>
      <anchor>a70e1c70cc48c404575532e96acc3862</anchor>
      <arglist>(const Statement &amp;other)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Statement</name>
      <anchorfile>classSyndication_1_1RDF_1_1Statement.html</anchorfile>
      <anchor>a59cec2a4f742df10744e30abffa486e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ResourcePtr</type>
      <name>subject</name>
      <anchorfile>classSyndication_1_1RDF_1_1Statement.html</anchorfile>
      <anchor>1f5a9f466a8721b5ece93ad574ba0bb6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Statement</name>
      <anchorfile>classSyndication_1_1RDF_1_1Statement.html</anchorfile>
      <anchor>0e3c60e819bbbc7598a2ce4798a2d11d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::RDF::SyndicationInfo</name>
    <filename>classSyndication_1_1RDF_1_1SyndicationInfo.html</filename>
    <base>Syndication::RDF::ResourceWrapper</base>
    <member kind="function">
      <type>QString</type>
      <name>debugInfo</name>
      <anchorfile>classSyndication_1_1RDF_1_1SyndicationInfo.html</anchorfile>
      <anchor>b1b729727aab9d1cb2ba05cf2719d4e1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SyndicationInfo</name>
      <anchorfile>classSyndication_1_1RDF_1_1SyndicationInfo.html</anchorfile>
      <anchor>478ba7544589116d1c2bb70bc8a10e30</anchor>
      <arglist>(ResourcePtr resource)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SyndicationInfo</name>
      <anchorfile>classSyndication_1_1RDF_1_1SyndicationInfo.html</anchorfile>
      <anchor>2cc9793dab078eb62978c35113f82d59</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>time_t</type>
      <name>updateBase</name>
      <anchorfile>classSyndication_1_1RDF_1_1SyndicationInfo.html</anchorfile>
      <anchor>721dc5286385914497a8fffa951beaf8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>updateFrequency</name>
      <anchorfile>classSyndication_1_1RDF_1_1SyndicationInfo.html</anchorfile>
      <anchor>2642fc26bad99c930e481b4723ab8f7e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Period</type>
      <name>updatePeriod</name>
      <anchorfile>classSyndication_1_1RDF_1_1SyndicationInfo.html</anchorfile>
      <anchor>e5b3b57cef0f6c67ecf8d2c8fa8fb5b3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SyndicationInfo</name>
      <anchorfile>classSyndication_1_1RDF_1_1SyndicationInfo.html</anchorfile>
      <anchor>ded52f85c5dbe2939a94d63718527607</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static QString</type>
      <name>periodToString</name>
      <anchorfile>classSyndication_1_1RDF_1_1SyndicationInfo.html</anchorfile>
      <anchor>c096eed87b2acb99fdc43526ac420e4f</anchor>
      <arglist>(Period period)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static Period</type>
      <name>stringToPeriod</name>
      <anchorfile>classSyndication_1_1RDF_1_1SyndicationInfo.html</anchorfile>
      <anchor>765b0ee27e2d6979f2126f2c199b072c</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::RDF::SyndicationVocab</name>
    <filename>classSyndication_1_1RDF_1_1SyndicationVocab.html</filename>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>namespaceURI</name>
      <anchorfile>classSyndication_1_1RDF_1_1SyndicationVocab.html</anchorfile>
      <anchor>a6f560ead28df918bb9f377f889aebcb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>updateBase</name>
      <anchorfile>classSyndication_1_1RDF_1_1SyndicationVocab.html</anchorfile>
      <anchor>82133a2ce16121490bc94e9c2c221127</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>updateFrequency</name>
      <anchorfile>classSyndication_1_1RDF_1_1SyndicationVocab.html</anchorfile>
      <anchor>601025f145b5de1f62f7f0736f0b03bb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PropertyPtr</type>
      <name>updatePeriod</name>
      <anchorfile>classSyndication_1_1RDF_1_1SyndicationVocab.html</anchorfile>
      <anchor>24db76f176bfbb62351ebe02670b80ca</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~SyndicationVocab</name>
      <anchorfile>classSyndication_1_1RDF_1_1SyndicationVocab.html</anchorfile>
      <anchor>5b476494e33e9cc14ac929cf38a47914</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static SyndicationVocab *</type>
      <name>self</name>
      <anchorfile>classSyndication_1_1RDF_1_1SyndicationVocab.html</anchorfile>
      <anchor>9a244ba721d90541d247f0e38c6baa94</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::RDF::TextInput</name>
    <filename>classSyndication_1_1RDF_1_1TextInput.html</filename>
    <base>Syndication::RDF::ResourceWrapper</base>
    <member kind="function">
      <type>QString</type>
      <name>debugInfo</name>
      <anchorfile>classSyndication_1_1RDF_1_1TextInput.html</anchorfile>
      <anchor>f732b1fe912b3263816b07992cc8b43a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>description</name>
      <anchorfile>classSyndication_1_1RDF_1_1TextInput.html</anchorfile>
      <anchor>6e50b6d8f8edb606c6505a18a13c10da</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>link</name>
      <anchorfile>classSyndication_1_1RDF_1_1TextInput.html</anchorfile>
      <anchor>739327e67e04ad0f562379175834458d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classSyndication_1_1RDF_1_1TextInput.html</anchorfile>
      <anchor>9ebfd7ba7001448a851a1212d90b9065</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TextInput</name>
      <anchorfile>classSyndication_1_1RDF_1_1TextInput.html</anchorfile>
      <anchor>fa5dd2ebae3e6a408d7cd3d447cf5a98</anchor>
      <arglist>(ResourcePtr resource)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TextInput</name>
      <anchorfile>classSyndication_1_1RDF_1_1TextInput.html</anchorfile>
      <anchor>b4b709b3e0bb9b17fedd9e12d8a68b2e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>title</name>
      <anchorfile>classSyndication_1_1RDF_1_1TextInput.html</anchorfile>
      <anchor>a275dc10e8a87daceaaaea9f9466aae0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TextInput</name>
      <anchorfile>classSyndication_1_1RDF_1_1TextInput.html</anchorfile>
      <anchor>99bc78c1e3f142b0cafba7b64d3f638e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
